<?php
 
 
 

namespace Google\Protobuf\Internal\FileOptions;

use UnexpectedValueException;






class OptimizeMode
{
    




    const SPEED = 1;
    




    const CODE_SIZE = 2;
    




    const LITE_RUNTIME = 3;

    private static $valueToName = [
        self::SPEED => 'SPEED',
        self::CODE_SIZE => 'CODE_SIZE',
        self::LITE_RUNTIME => 'LITE_RUNTIME',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

